Integrations
The integrations catalogue and your connected accounts.
- GET
/composio/toolkits - GET
/composio/connected-accounts - POST
/composio/connect/{toolkit} - DELETE
/composio/connected-accounts/{id}
List available integration toolkits
GET
/composio/toolkitsScope
integrations:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/composio/toolkits" \ -H "Authorization: Bearer $KLERC_TOKEN"List connected integrations
GET
/composio/connected-accountsScope
integrations:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/composio/connected-accounts" \ -H "Authorization: Bearer $KLERC_TOKEN"Start connecting an integration
POST
/composio/connect/{toolkit}Scope
integrations:manageWrites dataPath parameters
| Name | Type |
|---|---|
toolkitrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/composio/connect/{toolkit}" \ -H "Authorization: Bearer $KLERC_TOKEN"Disconnect an integration
DELETE
/composio/connected-accounts/{id}Scope
integrations:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/composio/connected-accounts/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"